petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESTSFormFunction

Function to evaluate nonlinear residual

### Synopsis

    #include "petscts.h"
    PetscErrorCode  SNESTSFormFunction(SNES snes,Vec U,Vec F,void *ctx)

Logically Collective on SNES Many br

### Input Parameter

| snes | - nonlinear solver Many br
| U | - the current state at which to evaluate the residual Many br
| ctx | - user context, must be a TS Many br

### Output Parameter

F -the nonlinear residual Many br

### Notes

This function is not normally called by users and is automatically registered with the SNES used by TS. Many brIt is most frequently passed to MatFDColoringSetFunction(). Many br

Many br

### See Also

SNESSetFunction(), MatFDColoringSetFunction()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages